Skip to navigation

Update user signature image or user initials image

View as Markdown

Updates the user signature image or user initials image for the specified user. The supported image formats for this file are: gif, png, jpeg, and bmp. The file must be less than 200K.

The userId property specified in the endpoint must match the authenticated user’s user ID and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. DocuSign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example encode “Bob Smith” as “Bob%20Smith”.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

imageTypestringRequired

One of signature_image or initials_image.

signatureIdstringRequired
The ID of the signature being accessed.
userIdstringRequired

The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.

Response

Successful response.
adoptedDateTimestringOptional
The date and time the user adopted their signature.
createdDateTimestringOptional
Indicates the date and time the item was created.
dateStampPropertiesobjectOptional
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
externalIDstringOptional
imageTypestringOptional

One of signature_image or initials_image.

initials150ImageIdstringOptional
initialsImageUristringOptional
Contains the URI for an endpoint that you can use to retrieve the initials image.
isDefaultstringOptional
phoneticNamestringOptional
signature150ImageIdstringOptional
signatureFontstringOptional
signatureIdstringOptional
The ID of the signature being accessed.
signatureImageUristringOptional
Contains the URI for an endpoint that you can use to retrieve the signature image.
signatureInitialsstringOptional
signatureNamestringOptional
Specifies the user signature name.
signatureTypestringOptional
stampFormatstringOptional
stampImageUristringOptional
stampSizeMMstringOptional
stampTypestringOptional

Errors

400
Bad Request Error